#ifndef SHADER_GLOBJECT_H
#define SHADER_GLOBJECT_H

#include "shaderext.h"

class GLHandleObj {
protected:
	GLhandleARB handle;

	void reset();
public:
	GLHandleObj() { reset(); }
	virtual ~GLHandleObj() { destroy(); }

	virtual void destroy();

	GLhandleARB getHandle() const { return handle; }

	//static methodsd below

	//static 'cuz we wanna handle any handle, not just our own objects
	static bool printHandleLog(GLhandleARB handle);
};

#endif //SHADER_GLOBJECT_H